textures/muttdm/mutt_redsky_2000
{
	qer_editorimage textures/muttdm/redcloudzup.tga
	q3map_lightimage textures/muttdm/redcloudzup.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 120
	q3map_sun 0.992157 0.784314 0.576471 150 180 75
	skyParms - 512 -
	{
		map textures/muttdm/redcloudzup.tga
		rgbGen identity
		tcMod scale 2 3
		tcMod scroll 0.02 0.01
		depthWrite
	}
	{
		map textures/muttdm/redcloudzdn.tga
		blendfunc add
		rgbGen identity
		tcMod scale 3 4
		tcMod scroll 0.01 0.02
	}
}

textures/muttq3/Q3_mutt_teleporter
{
	qer_editorimage textures/muttq3/quake1_portal.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes bulge 2 2 0.5
	deformVertexes wave 128 sin 1 2 1 0.7 
	q3map_surfacelight 200
	q3map_globaltexture
	{
		map textures/muttq3/quake1_portal.tga
		blendfunc blend
		rgbGen identity
		tcMod stretch sin 1 0.1 0.1 0.3 
		tcMod scale 1 1
		tcMod scroll 0.13 -0.14
		tcMod turb 1 0.2 0.1 0.1
	}
	{
		map textures/muttq3/quake1_portal.tga
		blendfunc add
		rgbGen lightingDiffuse
		tcMod stretch sin 1 0.4 0.2 0.3 
		tcMod turb 0.7 0.56 0.1 0.4
		tcMod scale 2 2
	}
	{
		map textures/muttq3/quake1_portal.tga
		blendfunc add
		rgbGen identity
		tcMod scale 0.3 0.2
		tcMod turb 0.8 0.1 0.4 0.6
		tcGen environment 
	}
}

textures/muttq3/banner
{
	qer_editorimage textures/muttdm/Muttctfredflag.tga
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	deformVertexes wave 256 triangle 1.6 2.4 9 0.4 
	tessSize 32
	{
		map textures/effects/envmapyel.tga
		rgbGen identity
		tcMod scale 0.2 0.2
		tcMod scroll 0.1 -0.3
	}
	{
		map textures/muttdm/Muttctfredflag.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/muttq3/dm1_comp_FireLetters
{
	qer_editorimage textures/muttq3/Muttq3bannerdm1.tga
	{
		animmap 0.5 textures/muttq3/banFrame1.tga textures/muttq3/banFrame2.tga 
		blendfunc blend
		rgbGen wave sin 0 1 0 0.5 
	}
	{
		map textures/sfx/firegorre.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 0.3
	}
	{
		map textures/muttq3/letterbox.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/muttq3/dm1_comp
{
	qer_editorimage textures/muttq3/Muttq3bannerdm1.tga
	{
		map textures/sfx/firegorre.tga
		rgbGen identity
		tcMod scroll 0 0.3
	}
	{
		map textures/sfx/fire_ctfred.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/muttq3/letterbox.tga
		blendfunc filter
		rgbGen identity
	}
	{
		animmap 1 textures/muttq3/banFrame1.tga textures/muttq3/banFrame1.tga textures/muttq3/banFrame2.tga textures/muttq3/banFrame2.tga textures/muttq3/banFrame2.tga 
		blendfunc filter
		rgbGen identity
		alphaFunc GT0
	}
}

textures/muttq3/flame1
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 2250
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 10 
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 10 
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbGen wave sin 0.6 0.2 0 0.6 
	}
}

textures/muttq3/ctf1_pitfog
{
	qer_editorimage textures/muttq3/quake1_portal.tga
	q3map_lightimage textures/muttq3/redfog.tga
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 45
	q3map_globaltexture
	fogparms ( 0.458824 0 0 ) 512
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.03 0.02
		tcMod scroll 0.01 -0.01
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		rgbGen identity
		tcMod scale -0.02 -0.04
		tcMod scroll 0.01 -0.01
	}
}

textures/muttq3/mutt_redsky_2001
{
	qer_editorimage textures/muttdm/redcloudzdn.tga
	q3map_lightimage textures/muttq3/ctf1_lightmap.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 75
	skyParms env/brooding 128 -
	{
		map textures/muttq3/ctf1_cloud.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 4 4
		tcMod scroll 0.04 0.05
	}
}

textures/muttq3/glass
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc add
		rgbGen identity
		tcGen lightmap 
	}
}

